/*
 *   Mylyn Connector for Serena Business Mashups
 * 	 Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * 
 *   Serena, TeamTrack and Serena Business Mashup are 
 * 	 registered trademarks of SERENA Software Inc.
 */

package net.brutex.mylyn.sbmconnector.core.model;

// TODO: Auto-generated Javadoc
/**
 * The Class SBMField.
 * @author Brian Rosenberger, bru@brutex.de
 */
public class SBMField {
	
	/** The type. */
	private SBMFieldTypes type;
	
	/** The value. */
	private String value;
	
	/** The internal value. */
	private Object internalValue;
	
	/** The parent table. */
	private String parentTable;
	
	/** The label. */
	private String label;
	
	/** The name. */
	private String name;
	
	/**
	 * Instantiates a new SBM field.
	 *
	 * @param type the type
	 * @param parentTable the parent table
	 * @param label the label
	 * @param name the name
	 */
	public SBMField(SBMFieldTypes type, String parentTable, String label,
			String name) {
		super();
		this.type = type;
		this.parentTable = parentTable;
		this.label = label;
		this.name = name;
	}

	/**
	 * Gets the value.
	 *
	 * @return the value
	 */
	public String getValue() {
		return value;
	}

	/**
	 * Sets the value.
	 *
	 * @param value the new value
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/**
	 * Gets the internal value.
	 *
	 * @return the internal value
	 */
	public Object getInternalValue() {
		return internalValue;
	}

	/**
	 * Sets the internal value.
	 *
	 * @param internalValue the new internal value
	 */
	public void setInternalValue(Object internalValue) {
		this.internalValue = internalValue;
	}

	/**
	 * Gets the type.
	 *
	 * @return the type
	 */
	public SBMFieldTypes getType() {
		return type;
	}

	/**
	 * Gets the parent table.
	 *
	 * @return the parent table
	 */
	public String getParentTable() {
		return parentTable;
	}

	/**
	 * Gets the label.
	 *
	 * @return the label
	 */
	public String getLabel() {
		return label;
	}

	/**
	 * Gets the name.
	 *
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	
	

}
